Name:		java-1.8.0-openjfx
Version:	1.8.0.102
Release:	%mkrel 1.b14.1
Summary:	OpenJFX runtime libraries and documentation
Group:		Development/Java
License:	GPLv2 with exceptions
URL:		https://wiki.openjdk.java.net/dashboard.action

Epoch:		1

%global openjfx_version 8u102-b14
%global openjdk8_short_version 1.8.0.102-%mkrel 1.b14.1
# hg clone http://hg.openjdk.java.net/openjfx/8u-dev/rt %{name}-%{version} -r %{openjfx_version}
# tar --exclude ".hg*" -cJf %{name}-%{version}.tar.xz %{name}-%{version}
Source0:	%{name}-%{version}.tar.xz
Source1:	http://services.gradle.org/distributions/gradle-1.8-bin.zip
Patch0:		%{name}-1.8.0.72-mga-correct-copy-file.patch
Patch1:		%{name}-1.8.0.101-set-antlr-timeout.patch
Patch2:		%{name}-1.8.0.101-disable-architecture-verification.patch
Patch3:		%{name}-1.8.0.101-disable-assembler-on-unsupported-archs.patch
Patch4:		%{name}-1.8.0.101-disable-sse2-for-arm.patch
Patch5:		%{name}-1.8.0.101-generic-qmake-spec.patch
Patch6:		%{name}-1.8.0.101-fix-arm64-build.patch
Patch7:		%{name}-1.8.0.101-fix-arm32-build.patch
Patch8:		%{name}-1.8.0.102-build-flags.patch
Patch9:		%{name}-1.8.0.102-use-system-libs-for-sqlite-and-icu.patch

BuildRequires:	java-1.8.0-openjdk-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gperf
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libpng12)
BuildRequires:	libjpeg-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	systemd-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pango-devel
BuildRequires:	freetype-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	ffmpeg-devel
BuildRequires:	perl
BuildRequires:	perl-version
BuildRequires:	perl-Digest
BuildRequires:	perl-Digest-MD5
BuildRequires:	coreutils
BuildRequires:	xz
BuildRequires:	binutils
BuildRequires:	libstdc++-static-devel
BuildRequires:	ruby
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	icu-devel
Requires:	java-1.8.0-openjdk = %{epoch}:%{openjdk8_short_version}

%description
OpenJFX is an open source, next generation client application platform for
desktop and embedded systems based on JavaSE. It is a collaborative effort
by many individuals and companies with the goal of producing a modern,
efficient, and fully featured toolkit for developing rich client applications.
This is the open source project where we develop JavaFX.

%global openjdk8_version java-1.8.0-openjdk-%{openjdk8_short_version}.%{_arch}
%global openjdk8_install_dir %{buildroot}/usr/lib/jvm/%{openjdk8_version}
%global openjfx_srcdir %{_builddir}/%{name}-%{version}

# There is no need for a debug package (for now)
%global debug_package %{nil}

%ifarch %{ix86}
%global archinstall i386
%endif
%ifarch x86_64
%global archinstall amd64
%endif
%ifarch %{arm}
%global archinstall arm
%endif

%prep
rpm -q %{name} && echo "You need to uninstall the previously built openjfx package before proceeding (this sounds stupid, but it actually makes sense!)" && exit 1
%setup -T -q -n gradle-1.8 -b 1
%setup -q

%define gradle_properties %{openjfx_srcdir}/gradle.properties
echo "COMPILE_WEBKIT = true" >> %{gradle_properties}
echo "COMPILE_MEDIA = true" >> %{gradle_properties}
echo "BUILD_JAVADOC = true" >> %{gradle_properties}
echo "BUILD_SRC_ZIP = true" >> %{gradle_properties}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%ifarch %{arm}
%patch4 -p1
%endif
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{_builddir}/gradle-1.8/bin/gradle

chmod a-x build/javadoc/javafx/scene/layout/doc-files/borderpane.png
chmod a-x build/javadoc/javafx/scene/paint/doc-files/ImagePattern.png
chmod a-x build/javadoc/javafx/scene/media/doc-files/mediaplayerstatus.png

%install
%global sdkdir build/sdk
mkdir -p build/sdk
chmod -R +x %{sdkdir}
mkdir -p %{openjdk8_install_dir}/{lib,bin,jre/lib/ext}
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{openjdk8_install_dir}/jre/lib/%{archinstall}

# JDK libraries
install -m644 %{sdkdir}/lib/* %{openjdk8_install_dir}/lib/
install -m755 %{sdkdir}/bin/* %{openjdk8_install_dir}/bin/
install -m644 %{sdkdir}/man/man1/* %{buildroot}/%{_mandir}/man1/

# JRE libraries
install -m644 %{sdkdir}/rt/lib/*.* %{openjdk8_install_dir}/jre/lib/
install -m644 %{sdkdir}/rt/lib/ext/* %{openjdk8_install_dir}/jre/lib/ext/
install -m755 %{sdkdir}/rt/lib/%{archinstall}/* %{openjdk8_install_dir}/jre/lib/%{archinstall}/

xz %{buildroot}/%{_mandir}/man1/*

strip %{openjdk8_install_dir}/jre/lib/%{archinstall}/*.so

%files
%doc build/javadoc
/usr/lib/jvm/%{openjdk8_version}/lib/*
/usr/lib/jvm/%{openjdk8_version}/bin/*
%{_mandir}/man1/*
/usr/lib/jvm/%{openjdk8_version}/jre/lib/*


%changelog
* Fri Sep 16 2016 ns80 <ns80> 1:1.8.0.102-1.b14.1.mga5
+ Revision: 1053429
- new version u102b14
- new version u101b13
- new version u91b14
- new version u76b04
- copy for backport
- imported package java-1.8.0-openjfx

